> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgGroupId}/statistics/items/extensions

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgGroupId}/statistics/items/extensions
```

where `{orgGroupId}` is the ID of an organisation.

## Supported methods and overview&#x20;

* `GET` - retrieves a summary of information about the file name extensions of all files within an organisation (specified by `orgGroupId`).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a summary of information about the file name extensions of all files within an organisation (specified by `orgGroupId`).

The information returned by this API endpoint is utilised on the [Organisation Administration dashboard](/3.5/admin-org/accessing-organisation-administration.md#the-organisation-administration-dashboard).

## Supported roles and conditions&#x20;

This API endpoint supports the following Covata user [roles](/3.5/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organisation Administrator's Guide](/3.5/admin-org.md)):

* [Organisation administrator](/3.5/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - when this user is a member of the organisation whose ID is specified by `{orgGroupId}` in the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the [header](/3.5/api/access-service-api-v1-organisations-orggroupid-statistics-items-extensions.md#access-service-api-v1-organisations-orggroupid-statistics-items-extensions-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **organisationId** - The ID of the organisation (which should match `{orgGroupId}` specified in the request's URL).
* **objectsCount** - The total number of file objects in the organisation (specified by `orgGroupId`).
* **breakdownByExtension** - An array containing information about the file name extensions of all files in the organisation (specified by `orgGroupId`). Each element of this array contains information about one of these file name extensions and is represented as an object, containing the following members:

  * **extensionType** - The extension itself.
  * **objectsCount** - The number of file objects possessing this file name extension.
  * **percentageOfAllObjects** - The percentage of this **objectsCount** value (immediately above) as a proportion of the parent **objectsCount** value (i.e. for the total number of file objects in the organisation).

  **Example (response):**

  ```json theme={null}
  {
      "organisationId": "749418071827214336",
      "objectsCount": "4",
      "extensionsBreakdown": [{
          "extensionType": {
              "value": "jpg"
          },
          "objectsCount": "3",
          "percentageOfAllObjects": 75.0
      }, {
          "extensionType": {
              "value": "pdf"
          },
          "objectsCount": "1",
          "percentageOfAllObjects": 25.0
      }, {
          "extensionType": {
              "i18n": {
                  "code": "server.dashboardservice.extensions.noextension",
                  "arguments": []
              }
          },
          "objectsCount": "0",
          "percentageOfAllObjects": 0.0
      }]
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.